Beware! Google warns Chrome users of HUGE threat; check how to be safe

Beware! Google warns Chrome users of HUGE threat; check how to be safe

After a significant exploit was identified, around 2 billion Google Chrome users worldwide were advised to update their browsers. Almost all Google Chrome users are at risk of being hacked as a result of this assault. After a new zero-day flaw was discovered in Google Chrome, Google confirmed the hack in a blog post. We already issued a warning on CVE-2021-30563, a zero-day vulnerability, and now another one has surfaced that is just as hazardous, if not more so. CVE-2021-37973 is the name of this vulnerability. In its blog, Google said, “Google is aware that an exploit for CVE-2021-37973 exists in the wild.”

This is referred to as a zero-day exploit since cybercriminals were able to exploit it before Google was aware of it and could provide a fix for Google Chrome to block them. Also, when you realise that there are 2.65 billion Google Chrome users, you can appreciate the scope of the problem.

One of the most important implications of Google’s blog post regarding the Google Chrome breach is that it was discovered by Google employees rather than by a third party. And, most crucially, that all users need to upgrade to Google Chrome, and the sooner they do so, the better. The exploit’s threat perception or ranking was also provided by Google.

Google revealed threat ranking on its blog, “High CVE-2021-37973 : Use after free in Portals. Reported by Clement Lecigne from Google TAG, with technical assistance from Sergei Glazunov and Mark Brand from Google Project Zero on 2021-09-21.”

It also added a feel-good part, “We would also like to thank all security researchers that worked with us during the development cycle to prevent security bugs from ever reaching the stable channel.”

Here’s how to check if your Google Chrome browser is protected:

  • Go to Settings
  • Help
  • About Google Chrome
  • Check your Google Chrome version
  • Those with Google Chrome version 94.0.4606.61 or more are safe
  • If you do not have this version, then you have to wait.

Source:-zeenews

Share: